.\" $NetBSD: axe.4,v 1.4 2006/01/02 16:45:44 rumble Exp $
.\"
.\" Copyright (c) 2003-2004 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 23, 2004
.Dt AXE 4
.Os
.Sh NAME
.Nm axe
.Nd ASIX AX88172 USB Ethernet driver
.Sh SYNOPSIS
.Cd "axe*   at uhub?"
.Cd "XXphy* at mii?"
.Sh HARDWARE
The
.Nm
driver supports the following adapters:
.Pp
.Bl -tag -width Dv -offset indent -compact
.It Tn Corega FEther USB2-TX
.It Tn D-Link DUB-E100
.It Tn Linksys USB 200M
.It Tn Melco LUA-U2-KTX
.It Tn Netgear FA120
.It Tn Sitecom LN029
.It Tn Systemtalks SGCX2UL
.El
.Sh DESCRIPTION
The
.Nm
driver provides support for USB (2.0)
.Tn Ethernet
adapters based on the ASIX AX88172 chip.
.Pp
The chip contains a 10/100
.Tn Ethernet
MAC with MII interface and is designed to work with both
.Tn Ethernet
and HomePNA transceivers.
The chip also supports USB 2.0, thereby accommodating 100 Mb/s data rates.
.Pp
The
.Nm
driver supports the following media types:
.Pp
.Bl -tag -width xxxxxxxxxxxxxxxxxxxx
.It autoselect
Enable automatic selection of the media type and options.
.It 10baseT/UTP
Set 10Mbps operation.
The
.Ar mediaopt
option can also be used to enable
.Ar full-duplex
operation.
Not specifying
.Ar full duplex
implies
.Ar half-duplex
mode.
.It 100baseTX
Set 100Mbps (fast
.Tn Ethernet )
operation.
The
.Ar mediaopt
option can also be used to enable
.Ar full-duplex
operation.
Not specifying
.Ar full duplex
implies
.Ar half-duplex
mode.
.El
.Pp
The
.Nm
driver supports the following media options:
.Pp
.Bl -tag -width xxxxxxxxxxxxxxxxxxxx
.It full-duplex
Force full duplex operation.
The interface will operate in half duplex mode
if this media option is not specified.
.El
.Pp
For more information on configuring this device, see
.Xr ifconfig 8 .
.Sh SEE ALSO
.Xr arp 4 ,
.Xr netintro 4 ,
.Xr usb 4 ,
.Xr ifconfig 8
.Rs
.%T ASIX AX88172 data sheet
.%O http://www.asix.com.tw
.Re
.Sh HISTORY
The
.Nm
device driver first appeared in
.Fx
and was ported to
.Nx 3.0 .
It replaces the
.Nx
uax driver.
